TESTING/LIN/clatsy.f(3)

NAME
TESTING/LIN/clatsy.f

SYNOPSIS

  Functions/Subroutines
subroutine clatsy (uplo, n, x, ldx, iseed)
CLATSY

Function/Subroutine Documentation

  subroutine clatsy (character uplo, integer n, complex, dimension( ldx, * ) x, integer ldx, integer, dimension( * ) iseed)

CLATSY

Purpose:

     CLATSY generates a special test matrix for the complex symmetric
     (indefinite) factorization.  The pivot blocks of the generated matrix
     will be in the following order:
        2x2 pivot block, non diagonalizable
        1x1 pivot block
        2x2 pivot block, diagonalizable
        (cycle repeats)
     A row interchange is required for each non-diagonalizable 2x2 block.

Parameters
    UPLO

              UPLO is CHARACTER
              Specifies whether the generated matrix is to be upper or
              lower triangular.
              = 'U':  Upper triangular
              = 'L':  Lower triangular

    N

              N is INTEGER
              The dimension of the matrix to be generated.

    X

              X is COMPLEX array, dimension (LDX,N)
              The generated matrix, consisting of 3x3 and 2x2 diagonal
              blocks which result in the pivot sequence given above.
              The matrix outside of these diagonal blocks is zero.

    LDX

              LDX is INTEGER
              The leading dimension of the array X.

    ISEED

              ISEED is INTEGER array, dimension (4)
              On entry, the seed for the random number generator.  The last
              of the four integers must be odd.  (modified on exit)

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 88 of file clatsy.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.